Returns a Work Schedule scope-filtered page of active Sites or Workers.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/work-schedule/effective-schedule/resources/example"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/work-schedule/effective-schedule/resources/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/work-schedule/effective-schedule/resources/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Allowlisted resource catalog: Site or Worker.
Query Parameters
Section titled “Query Parameters”Optional case-insensitive search over system DisplayName and Number only.
Opaque cursor returned by the previous page.
Page size from 1 through 100.
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
One cursor page of resources authorized for effective schedule projection.
object
Allowlisted Work Schedule catalog key.
Resolved system Entity Definition identifier.
Current field-safe resource page.
One field-safe operational catalog lookup item.
object
Entity Instance identifier.
Resolved Entity Instance display name.
Server-generated Entity Instance number.
Allowlisted scheduling values readable by the current actor.
object
Identifiers from the current page for which the actor may manage base assignments.
Opaque continuation cursor, or null at the end of the result set.
Requested page size.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
One cursor page of resources authorized for effective schedule projection.
object
Allowlisted Work Schedule catalog key.
Resolved system Entity Definition identifier.
Current field-safe resource page.
One field-safe operational catalog lookup item.
object
Entity Instance identifier.
Resolved Entity Instance display name.
Server-generated Entity Instance number.
Allowlisted scheduling values readable by the current actor.
object
Identifiers from the current page for which the actor may manage base assignments.
Opaque continuation cursor, or null at the end of the result set.
Requested page size.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
One cursor page of resources authorized for effective schedule projection.
object
Allowlisted Work Schedule catalog key.
Resolved system Entity Definition identifier.
Current field-safe resource page.
One field-safe operational catalog lookup item.
object
Entity Instance identifier.
Resolved Entity Instance display name.
Server-generated Entity Instance number.
Allowlisted scheduling values readable by the current actor.
object
Identifiers from the current page for which the actor may manage base assignments.
Opaque continuation cursor, or null at the end of the result set.
Requested page size.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Service Unavailable
object
One cursor page of resources authorized for effective schedule projection.
object
Allowlisted Work Schedule catalog key.
Resolved system Entity Definition identifier.
Current field-safe resource page.
One field-safe operational catalog lookup item.
object
Entity Instance identifier.
Resolved Entity Instance display name.
Server-generated Entity Instance number.
Allowlisted scheduling values readable by the current actor.
object
Identifiers from the current page for which the actor may manage base assignments.
Opaque continuation cursor, or null at the end of the result set.
Requested page size.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}